LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XTabController Interface Referencepublished

specifies the basic operations for a tab controller. More...

`import"XTabController.idl";`

Inheritance diagram for XTabController:

## Public Member Functions
void | setModel ([in] com::sun::star::awt::XTabControllerModel Model)
| sets the tab controller model. More...
com::sun::star::awt::XTabControllerModel | getModel ()
| returns the tab controller model. More...
void | setContainer ([in] com::sun::star::awt::XControlContainer Container)
| set the control container. More...
com::sun::star::awt::XControlContainer | getContainer ()
| returns the control container. More...
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls of the control container. More...
void | autoTabOrder ()
| enables automatic tab order. More...
void | activateTabOrder ()
| activates tab order. More...
void | activateFirst ()
| sets the focus to the first control that can be reached with the TAB key. More...
void | activateLast ()
| sets the focus to the last control that can be reached with the TAB key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the basic operations for a tab controller.

## Member Function Documentation

## ◆ activateFirst()

void activateFirst | ( |  | ) |

sets the focus to the first control that can be reached with the TAB key.

## ◆ activateLast()

void activateLast | ( |  | ) |

sets the focus to the last control that can be reached with the TAB key.

## ◆ activateTabOrder()

void activateTabOrder | ( |  | ) |

activates tab order.

## ◆ autoTabOrder()

void autoTabOrder | ( |  | ) |

enables automatic tab order.

## ◆ getContainer()

com::sun::star::awt::XControlContainer getContainer | ( |  | ) |

returns the control container.

## ◆ getControls()

sequence<com::sun::star::awt::XControl> getControls | ( |  | ) |

returns all controls of the control container.

## ◆ getModel()

com::sun::star::awt::XTabControllerModel getModel | ( |  | ) |

returns the tab controller model.

## ◆ setContainer()

void setContainer | ( | [in] com::sun::star::awt::XControlContainer | Container | ) |

set the control container.

## ◆ setModel()

void setModel | ( | [in] com::sun::star::awt::XTabControllerModel | Model | ) |

sets the tab controller model.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTabController.idl